Bug 1172460 (CVE-2020-13645)

Summary: VUL-0: CVE-2020-13645: glib-networking: GTlsClientConnection silently ignores unset server identity
Product: [Novell Products] SUSE Security Incidents Reporter: Wolfgang Frisch <wolfgang.frisch>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Major    
Priority: P3 - Medium CC: mgorse, smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/260205/
Whiteboard: CVSSv3.1:SUSE:CVE-2020-13645:6.5:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:N)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---
Attachments: CVE-2020-13645-backport-2.48.patch
CVE-2020-13645-backport-2.62.patch

Description Wolfgang Frisch 2020-06-03 13:32:29 UTC
CVE-2020-13645

In GNOME glib-networking through 2.64.2, the implementation of GTlsClientConnection skips hostname verification of the server's TLS certificate if the application fails to specify the expected server identity. This is in contrast to its intended documented behavior, to fail the certificate verification. Applications that fail to provide the server identity, including Balsa before 2.5.11 and 2.6.x before 2.6.1, accept a TLS certificate if the certificate is valid for any host.

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1842645
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-13645
http://people.canonical.com/~ubuntu-security/cve/2020/CVE-2020-13645.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-13645
https://gitlab.gnome.org/GNOME/balsa/-/issues/34
https://gitlab.gnome.org/GNOME/glib-networking/-/issues/135
Comment 2 Wolfgang Frisch 2020-07-23 11:05:33 UTC
SUSE:SLE-12-SP2:Update   glib-networking   Affected
SUSE:SLE-15:Update       glib-networking   Affected
SUSE:SLE-15-SP2:Update   glib-networking   Affected
Comment 3 Wolfgang Frisch 2020-07-23 11:06:21 UTC
Created attachment 839954 [details]
CVE-2020-13645-backport-2.48.patch
Comment 4 Wolfgang Frisch 2020-07-23 11:06:36 UTC
Created attachment 839955 [details]
CVE-2020-13645-backport-2.62.patch
Comment 5 OBSbugzilla Bot 2021-06-24 08:20:05 UTC
This is an autogenerated message for OBS integration:
This bug (1172460) was mentioned in
https://build.opensuse.org/request/show/901632 15.2+Backports:SLE-15-SP2+Backports:SLE-15-SP3 / balsa
Comment 6 OBSbugzilla Bot 2021-06-24 09:20:14 UTC
This is an autogenerated message for OBS integration:
This bug (1172460) was mentioned in
https://build.opensuse.org/request/show/901650 15.2+Backports:SLE-15-SP2+Backports:SLE-15-SP3 / balsa
Comment 7 Swamp Workflow Management 2021-08-05 14:24:19 UTC
openSUSE-SU-2021:1094-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1172460
CVE References: CVE-2020-13645
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    balsa-2.6.1-lp152.2.3.1
openSUSE Backports SLE-15-SP3 (src):    balsa-2.6.1-bp153.2.3.1
openSUSE Backports SLE-15-SP2 (src):    balsa-2.6.1-bp152.2.3.1
Comment 8 Marcus Meissner 2021-11-24 09:41:55 UTC
scott, can you redistribute to a desktop engineer
Comment 9 Scott Reeves 2021-11-30 21:58:00 UTC
Hi Mike, Can you take this. Looks like your initial submission to GA was deemed too late and needs to go to :Update as well as backport to older products.
Comment 12 Swamp Workflow Management 2021-12-06 17:36:45 UTC
SUSE-SU-2021:3944-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1172460
CVE References: CVE-2020-13645
JIRA References: 
Sources used:
SUSE MicroOS 5.1 (src):    glib-networking-2.62.4-3.3.1
SUSE MicroOS 5.0 (src):    glib-networking-2.62.4-3.3.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    glib-networking-2.62.4-3.3.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    glib-networking-2.62.4-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2021-12-06 18:02:48 UTC
openSUSE-SU-2021:3944-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1172460
CVE References: CVE-2020-13645
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    glib-networking-2.62.4-3.3.1
Comment 14 Swamp Workflow Management 2021-12-10 14:21:40 UTC
openSUSE-SU-2021:1554-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1172460
CVE References: CVE-2020-13645
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    glib-networking-2.62.4-lp152.2.3.1
Comment 15 Swamp Workflow Management 2021-12-10 20:17:48 UTC
SUSE-SU-2021:3997-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1172460
CVE References: CVE-2020-13645
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    glib-networking-2.54.1-3.6.1
SUSE Linux Enterprise Server for SAP 15 (src):    glib-networking-2.54.1-3.6.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    glib-networking-2.54.1-3.6.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    glib-networking-2.54.1-3.6.1
SUSE Linux Enterprise Server 15-LTSS (src):    glib-networking-2.54.1-3.6.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    glib-networking-2.54.1-3.6.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    glib-networking-2.54.1-3.6.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    glib-networking-2.54.1-3.6.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    glib-networking-2.54.1-3.6.1
SUSE Enterprise Storage 6 (src):    glib-networking-2.54.1-3.6.1
SUSE CaaS Platform 4.0 (src):    glib-networking-2.54.1-3.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 16 Swamp Workflow Management 2021-12-13 14:26:29 UTC
SUSE-SU-2021:4004-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1172460
CVE References: CVE-2020-13645
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    glib-networking-2.48.2-6.3.1
SUSE OpenStack Cloud Crowbar 8 (src):    glib-networking-2.48.2-6.3.1
SUSE OpenStack Cloud 9 (src):    glib-networking-2.48.2-6.3.1
SUSE OpenStack Cloud 8 (src):    glib-networking-2.48.2-6.3.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    glib-networking-2.48.2-6.3.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    glib-networking-2.48.2-6.3.1
SUSE Linux Enterprise Server 12-SP5 (src):    glib-networking-2.48.2-6.3.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    glib-networking-2.48.2-6.3.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    glib-networking-2.48.2-6.3.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    glib-networking-2.48.2-6.3.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    glib-networking-2.48.2-6.3.1
HPE Helion Openstack 8 (src):    glib-networking-2.48.2-6.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Wolfgang Frisch 2022-03-29 09:21:06 UTC
Released.